Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Configurator Member List

This is the complete list of members for Configurator, including all inherited members.

addRef() const =0 | Object | pure virtual
cast(const Class &clazz) const =0 | Object | pure virtual
Configurator() | Configurator |
doConfigure(const File &configFileName, spi::LoggerRepositoryPtr &repository)=0 | Configurator | pure virtual
getClass() const | Object | virtual
getStaticClass() | Object | static
instanceof(const Class &clazz) const =0 | Object | pure virtual
registerClass() | Object | static
releaseRef() const =0 | Object | pure virtual
~Object() | Object | inline virtual